ant <-
function(graph, v = seq_len(n)) {
  n = graph$n
  if (n == 0 || length(v) == 0) return(integer(0))
  
  out = v
  
  if (isTRUE(length(graph$d.edges) > 0) || isTRUE(length(graph$ud.edges) > 0)) {
    new = TRUE
    while (new) {
      tmp = c(pa(out, graph), ne(out, graph))
      if (length(setdiff(tmp, out)) == 0) new = FALSE
      else out = union(out, tmp)
    }
    out = sort.int(unique.default(out))
  }
  
  as.integer(out)
}
