districts <-
function(graph) {
  grp = seq_len(graph$n)
  
  for (i in seq_along(graph$bi.edges)) {
    edge = graph$bi.edges[[i]]
    g1 = grp[edge[1]]
    g2 = grp[edge[2]]
    if (g1 == g2) next
    grp[grp == g2] = g1
  }
  
  out = list()
  for (i in unique.default(grp)) {
    out = c(out, list(which(grp==i)))
  }
  
  out
}
