edgeMatrix <-
function(graph, types = c("undirected", "directed", "bidirected")) {
  out = matrix(numeric(0), nrow=0, ncol=2)
  if ("undirected" %in% types && length(graph$ud.edges) > 0) out = rbind(out, matrix(unlist(graph$ud.edges),ncol=2,byrow=TRUE))
  if ("directed" %in% types && length(graph$d.edges) > 0) out = rbind(out, matrix(unlist(graph$d.edges),ncol=2,byrow=TRUE))
  if ("bidirected" %in% types && length(graph$bi.edges) > 0) out = rbind(out, matrix(unlist(graph$bi.edges),ncol=2,byrow=TRUE))
  
  out
}
