factorize <-
function(graph, v = seq_len(n), r = TRUE) {
  
  n = graph$n
  
  if(length(v) == 0) {
    head.list <- list()
    tail.list <- list()
  } 
  else { #if (r){ # ACTUALLY WORKS FOR BOTH RECURSIVE AND NON-RECURSIVE
    o <- headsTails(graph, r=r)
    head.list <- partition(graph, o$heads, v, r=r)
    tail.list <- list()
    
    for(i in seq_along(head.list)){
      for(j in seq_along(o[[1]])){
        if(setequal(head.list[[i]], o[[1]][[j]])){
          tail.list[[i]] <- o[[2]][[j]]
        }
      }
    }
  }
  #  else {
  #
  #    head.list = c(partition(graph, v))
  #    tail.list = tails(graph, head.list)
  #  }
  
  #  if (empty) {
  #    head.list = c(list(integer(0)), head.list)
  #    tail.list = c(list(integer(0)), tail.list)
  #  }
  
  out = list(heads = head.list, tails = tail.list, vnames=graph$vnames)
  class(out) = "mixed.factorization"
  return(out)
}
