is.MEG <-
function(graph) {
  if(!is(graph, "graph")) stop("Not a graph")
  un = edgeMatrix(graph, "undirected")
  dir = c(edgeMatrix(graph, "directed")[,2], edgeMatrix(graph, "bidirected"))
  if(length(intersect(un, dir)) > 0) return(FALSE)
  
  if (is.cyclic(graph)) return(FALSE)
  
  return(TRUE)
}
