makeGraphCycle <-
function(n, type = "bidirected") {
  
  graph = makeGraphChain(n, type=type)
  
  if (n > 2) {
    if (type == "bidirected") graph$bi.edges = c(graph$bi.edges, list(c(n, 1)))
    else if (type == "undirected") graph$ud.edges = c(graph$ud.edges, list(c(n, 1)))
    else if (type == "directed") graph$d.edges = c(graph$d.edges, list(c(n, 1)))
    else stop("type must be 'undirected' or 'bidirected'")
  }
  
  return(graph)
}
