makeptable <-
function(graph, dims = rep(2, n), values = 1/prod(dims)) {
  n = graph$n

  out = array(values, dim=dims)
  if (abs(sum(out)-1) > 1e-10) warning("Probabilities do not sum to 1")

  dnames = lapply(dims, function(x) seq_len(x)-1)
  names(dnames) = graph$vnames
  dimnames(out) <- dnames

  out
}
