neighbourhoods <-
function(graph, v=seq_len(n), strict=FALSE) {
  n = graph$n
  v = intersect(un(graph, strict=strict), v)
  
  grp = seq_len(graph$n)
  
  for (i in seq_along(graph$ud.edges)) {
    edge = graph$ud.edges[[i]]
    g1 = grp[edge[1]]
    g2 = grp[edge[2]]
    if (g1 == g2) next
    grp[grp == g2] = g1
  }
  
  out = list()
  for (i in unique.default(grp)) {
    out = c(out, list(which(grp==i)))
  }
  out = lapply(out, function(x) intersect(x,v))
  out = out[fsapply(out, length) > 0]
  
  out
}
