print.graph <-
function(x, ...) {
  cat("Graph with ", x$n, ifelse(x$n == 1, " vertex", " vertices"), 
         ifelse(x$n == 0,"",":  "), sep="")
  cat(x$vnames, "\n\n", sep="  ")
  
  if (length(x$ud.edges) > 0) {
    for (i in seq_along(x$ud.edges)) {
      cat(x$vnames[x$ud.edges[[i]][1]], " --- ", 
           x$vnames[x$ud.edges[[i]][2]], "\n", sep="")
    }
    cat("\n")
  }
  
  if (length(x$d.edges) > 0) {
    for (i in seq_along(x$d.edges)) {
      cat(x$vnames[x$d.edges[[i]][1]], " --> ", x$vnames[x$d.edges[[i]][2]], "\n", sep="")
    }
    cat("\n")
  }
  
  if (length(x$bi.edges) > 0) {
    for (i in seq_along(x$bi.edges)) {
      cat(x$vnames[x$bi.edges[[i]][1]], " <-> ", x$vnames[x$bi.edges[[i]][2]], "\n", sep="")
    }
    cat("\n")
  }
  
}
