sp <-
function(graph, v = seq_len(n)) {
  n = graph$n
  if (n == 0 || length(v) == 0) return(integer(0))
  if (isTRUE(length(graph$bi.edges) > 0)) {
    bi.edges = matrix(unlist(graph$bi.edges), ncol=2, byrow=TRUE)
    out = c(bi.edges[bi.edges[,1] %in% v,2], bi.edges[bi.edges[,2] %in% v,1])
    out = sort.int(unique.default(out))
  }
  else out = integer(0)
  
  as.integer(out)
}
