topOrder <-
function(graph) {
  
  if (length(graph$d.edges) == 0) return(seq_len(graph$n))
  
  out = integer(0)
  
  sq = seq_len(graph$n)
  left = rep.int(TRUE, graph$n)
  while (sum(left)) {
    chs = ch(graph, sq[left])
    if (length(chs)) {
      out = c(out, setdiff(which(left), chs))
      left[-chs] = FALSE
    }
    else {
      out = c(out, setdiff(which(left), chs))
      break
    }
  }
  
  return(out)
}
