\name{edgeList}
\alias{edgeList}
\title{
Turn edge matrix into a list of edges.
}
\description{
Turns an edge matrix (see \code{\link{edgeMatrix}}) into a list of edges.
}
\usage{
edgeList(edge.matrix)
}
\arguments{
  \item{edge.matrix}{
An n by 2 integer matrix, each row of which contains the two end points of an
edge.
}
}
\value{
A list of integer vectors, each of length 2, containing the end points.
}
\author{
Robin Evans
}


\seealso{
\code{\link{edgeMatrix}}
}
\examples{
data(gr2)
edgeList(edgeMatrix(gr2))
}
% Add one or more standard keywords, see file 'KEYWORDS' in the
% R documentation directory.
\keyword{graphs}
