\name{getProbs}
\alias{getProbs}
%- Also NEED an '\alias' for EACH other topic documented here.
\title{
Calculate joint probabilities.
}
\description{
Given the generalized Moebius parametrization of an ADMG, calculates an array of joint probabilities.
}
\usage{
getProbs(moebius, maps, graph)
}
\arguments{
  \item{moebius}{
Object of class \code{mparam}.
}
  \item{maps}{
list containing maps for (use \code{.getMaps}).
}
  \item{graph}{
if maps not supplied, an object of class \code{graph}; use to calculate maps.
}
}
\value{
A numeric array of dimensions \code{moebius$dims} giving the joint distribution described by the Moebius parameters.
}
\references{
Evans and Richardson.
}
\author{
Robin Evans
}


