\name{gss}
\alias{gss}
\alias{gss.small}
\docType{data}
\title{
GSS Dataset
}
\description{
A set of data taken from the US General Social Survey, 1975-1994.
}
\usage{data(gss)}
\format{
  A data frame with 128 observations on the following 8 variables.
  \describe{
    \item{\code{Trust}}{Generally speaking, would you say that most people can be trusted or that you can't be too careful in life?  0 = can trust, 1 = cannot trust / depends}
    \item{\code{Helpful}}{Would you say that most of the time people try to be helpful, or that they are mostly just looking out for themselves? 0 = helpful, 1 = lookout for self / depends}
    \item{\code{MemUnion}}{Are you a member of a labor union? 0 = yes, 1 = no}
    \item{\code{MemChurch}}{Are you a member of a church? 0 = yes, 1 = no}
    \item{\code{ConLegis}}{Do you have confidence in congress? 0 = a great deal, 1 = some / hardly any}
    \item{\code{ConClerg}}{Do you have confidence in organized religion? 0 = a great deal, 1 = some / hardly any}
    \item{\code{ConBus}}{Do you have confidence in major companies? 0 = a great deal, 1 = some / hardly any}
    \item{\code{freq}}{counts of responses}
  }
}
\details{
\code{gss} contains all 7 variables, \code{gss.small} is the marginal counts over the first 4.

See reference for further information.
}

\references{
Drton and Richardson (2008) - Binary models for marginal independence, JRSSB.
}

\keyword{datasets}
