\name{skeleton}
\alias{skeleton}

\title{
Skeleton of a graph
}
\description{
Returns the undirected graph with the same skeleton as the inputted graph.
}
\usage{
skeleton(graph)
}

\arguments{
  \item{graph}{
an object of class \code{graph}.
}
}
\value{
An object of class \code{graph} containing only undirected edges.
}
\author{
Robin Evans
}

\examples{
data(grVerma)
skeleton(grVerma)
}
\keyword{graphs}
