cliques <-
function(graph, by_neighbourhood=FALSE) {
  neigh = neighbourhoods(graph, strict=TRUE)
  out = list()
  
  for (i in seq_along(neigh)) {
    if (by_neighbourhood) out[[i]] = list()
    v = neigh[[i]]
    ps = powerSet(v, rev=TRUE)
    j = 1
    while(j <= length(ps)) {
      if(is.complete(ps[[j]], graph)) {
        rmv = !is.na(subsetmatch(ps, ps[j]))
        rmv[j] = FALSE
        ps = ps[!rmv]
        if (by_neighbourhood) out[[i]] = c(out[[i]], ps[j])
        else out = c(out, ps[j])
      }
      j = j+1
    }
  }
  out
}
