getProbs <-
function(moebius, maps, graph) {

  if (missing(maps)) maps = .getMaps(graph, dims=moebius$dims, r=moebius$r)
  probs = rep(1, prod(maps$dim))
  q = moebius$q

  for (i in seq_along(maps$M)) {
    tmp = as.vector(maps$M[[i]] %*% exp(maps$P[[i]] %*% log(unlist(q[[i]]))))
    probs = probs*patternRepeat(tmp, maps$pa.dists[[i]], maps$dim)
  }

  array(probs, maps$dim)
}
