intrinsicClosure <-
function(graph, set){
  
  districts <- districts(graph)
  
  for(district in districts){
    if(all(set %in% district)){
      
      subgraph <- graph[district]
      
      set_remapped <- mapV(set, graph, subgraph)
      
      ans <- an(subgraph, set_remapped)
      
      if(setequal(mapV(ans, subgraph, graph), district)){
        return(district)
      } else {
        an_subgraph <- subgraph[ans]
        
        closure <- Recall(an_subgraph, mapV(set_remapped, subgraph, an_subgraph))
        
        closure <- mapV(closure, an_subgraph, subgraph)
        closure <- mapV(closure, subgraph, graph)
        
        return(closure)
      }
    }
  }
}
