makeGraphChain <-
function(n, type = "bidirected") {
  edges = lapply(seq_len(max(n-1,0)), function(x) c(x, x+1))
  
  if (type == "bidirected") return(makeGraph(n, bi.edges=edges, type=type))
  else if (type == "undirected") return(makeGraph(n, ud.edges=edges, type=type))
  else if (type == "directed") return(makeGraph(n, d.edges=edges, type=type))
  else stop("type must be 'undirected', 'directed' or 'bidirected'")
}
