maximalHeads <-
function(graph, heads, r=TRUE){
  
  sublist = function(small, big){
    
    if(length(big) == 0){
      return(length(small) == 0)
    }
    if(length(small) == 0){
      return(TRUE)
    }
    if(small[1] == big[1]){
      if(length(small) == 1) return(TRUE)
      if(length(small) > 1 && length(big) == 1) return(FALSE)
      return(sublist(small[-1], big[-1]))
    }
    if(small[1] > big[1]){
      if(length(big) == 1) return(FALSE)
      return(sublist(small, big[-1]))
    }
    if(small[1] < big[1]){
      return(FALSE)
    }
  }
  
  # FOR RECURSIVE WE WANT INTRINSIC CLOSURES, FOR ADMGS WE WANT distails.
  if (r) intrinsic_sets <- lapply(heads, function(x) sort(intrinsicClosure(graph, x)))
  else intrinsic_sets <- lapply(heads, function(x) sort(union(x, distail(graph, x))))
  
  maximal_heads <- vector(mode="list", length=length(heads))
  k <- 1
  for(i in seq_along(heads)){
    
    if(length(Filter(function(x) sublist(intrinsic_sets[[i]], x),
                     intrinsic_sets)) == 1){
      maximal_heads[[k]] <- heads[[i]]
      k <- k + 1
    }
  }
  
  rep_len(maximal_heads, length.out = k - 1)
}
