print.mixed.fit <-
function (x, ...) {
  q = x$params$q
  p = length(unlist(q)) #- length(q)

  cat("Acyclic Directed Mixed Graph fit to discrete data\n")
  cat("Variable dimensions:", x$dim, "\n", sep=" ")
  cat(ifelse(x$r, "Recursive", "Non-recursive"), "parametrization\n", sep=" ")
  cat("log-likelihood: ", x$ll, " on ", p, " parameters\n")
  invisible(x)
}
