print.mixed.fit.summary <-
function (x, ...) {
  cat("Acyclic Directed Mixed Graph fit to discrete data\n")
  cat("Variable dimensions:", x$dim, "\n", sep=" ")
  cat(ifelse(x$r, "Recursive", "Non-recursive"), "parametrization\n\n", sep=" ")

  cat("log-likelihood: ", x$ll, " on ", x$p, " parameters\n\n", sep="")

  cat("AIC = ", x$AIC, "\n", sep="")
  cat("BIC = ", x$BIC, "\n", sep="")
  cat("Deviance = ", x$deviance, " on ", prod(x$dim)-x$p-1, " degrees of freedom\n", sep="")

  cat("\n")
  print(signif(x$se.table,4))
  invisible(x)
}
