un <-
function(graph, strict = FALSE) {
  n = graph$n
  if (n == 0) return(integer(0))
  
  if (strict) out = c(edgeMatrix(graph, "undirected"))
  else out = setdiff(seq_len(n), c(edgeMatrix(graph, "directed")[,2], unlist(graph$bi.edges)))
  
  out = sort.int(unique.default(out))
  
  out
}
